RECURSIVE_TARGETS=$(PROJECT_RECURSIVE_TARGETS)

DB2_data=$(subst $(srcdir)/,,$(shell ls $(srcdir)/*.html $(srcdir)/*.gif))

if LDAS_ENABLED_LDAS_DOCUMENTATION
DB2_DATA=$(DB2_data)
DB2dir=$(docdir)/db2/doc/html
endif # LDAS_ENABLED_LDAS_DOCUMENTATION

AUX_HTML=$(subst $(srcdir)/,,$(shell ls $(srcdir)/*/*.html))

if LDAS_ENABLED_LDAS_DOCUMENTATION
install-data-local:
	for file in $(AUX_HTML); \
	do \
	  mkdir -p $(DESTDIR)$(DB2dir)/`dirname $$file`; \
	  cp $(srcdir)/$$file $(DESTDIR)$(DB2dir)/$$file; \
	done
endif # LDAS_ENABLED_LDAS_DOCUMENTATION

dist-hook:
	for file in $(AUX_HTML); \
	do \
	  mkdir -p $(distdir)/`dirname $$file`; \
	  cp $(srcdir)/$$file $(distdir)/$$file; \
	done

include $(ldas_top_srcdir)/build/make-macros/memory-debug.mk
